# This is a script to plot the output of plasduino/dice script
# which simulate the extracion of sum of k dice, N times:
# http://pythonhosted.org/plasduino/plasduino_dice.html
# 

# Load python modules.
import pylab

# set interactive session or the canvas will freeze the execution
pylab.ion()

# this script dir, just to use absolute paths
import os
this_dir = os.path.dirname(os.path.abspath(__file__))

# Load the data (produced by plasduino/dice)
# in this example we simulates the sum on 2 dice 1000 times
k = 2
N = 1000
data_filepath = os.path.join(this_dir, 'data/dice.txt')
v, o = pylab.loadtxt(data_filepath, unpack = True)


# printout some statistics
Avg = sum(o*v)/N
print ('Sample mean = %.3f; Expected = %.3f (3.5*%d)' %(Avg, 3.5*k, k))
sDev = pylab.sqrt(sum(o*((v-Avg)**2))/(N-1))
print ('Sample std dev = %.3f; Expected = %.3f (1.71*sqrt(%d))' % \
           (sDev, pylab.sqrt(35/12.)*pylab.sqrt(k), k))

# drawing a bar plot:
# http://matplotlib.org/1.2.1/api/pyplot_api.html?highlight=bar#matplotlib.pyplot.bar
pylab.title('Throwing %d dice %d times' %(k, N))
pylab.xlabel('Sum of dice') 
pylab.ylabel('Entries')
pylab.grid()
pylab.bar(v, o, 1) 
pylab.savefig('dice_%d_%d.png' %(k, N))


