# Script per disegnare l'output di plasduino/dice

# Importa modulo python
import pylab

# Apri il file di dati
v, o = pylab.loadtxt( 'data/dice.txt', unpack = True)

# Scegli il numero di dadi k ed in numero di lanci
k = 2
N = 1000

# Un po' di statisticaL:
Avg = sum(o*v)/N
print ('Media = %.3f; attesa = %.3f (3.5*%d)' %(Avg, 3.5*k, k))
sDev = pylab.sqrt(sum(o*((v-Avg)**2))/(N-1))
print ('Deviazione standard = %.3f; attesa = %.3f (1.71*sqrt(%d))' % \
           (sDev, pylab.sqrt(35/12.)*pylab.sqrt(k), k))

# disegna un bar plot:
# http://matplotlib.org/1.2.1/api/pyplot_api.html?highlight=bar#matplotlib.pyplot.bar
pylab.title('Lancio di %d dadi %d volte' %(k, N))
pylab.xlabel('Somma delle uscite') 
pylab.ylabel('Occorrenze')
pylab.grid()
pylab.bar(v, o, 1) 

# salva una figura
pylab.savefig('dice_%d_%d.pdf' %(k, N))

pylab.show()


